Name: ptpd
Version: 2.3.1
Release: 1%{?dist}
Summary: PTPd implements the Precision Time protocol (PTP) as defined by the IEEE 1588

Group: System Environment/Daemons
License: BSD
URL: http://ptpd.sourceforge.net/

Source0: http://sourceforge.net/projects/ptpd/files/ptpd/2.3.1/ptpd-2.3.1.tar.gz
Source1: ptpd2.init
Source2: ptpd2
Source3: ptpd2.conf

BuildRequires: libpcap-devel%{?_isa} net-snmp-devel%{?_isa} openssl-devel%{?_isa} zlib-devel%{?_isa} libtool%{_isa} autoconf automake
Requires: libpcap%{?_isa} net-snmp%{?_isa} openssl%{?_isa} zlib%{?_isa}

ExclusiveArch: x86_64 i686

%description
The PTP daemon (PTPd) implements the Precision Time protocol (PTP) as defined 
by the relevant IEEE 1588 standard. PTP was developed to provide very precise
time coordination of LAN connected computers.

PTPd is a complete implementation of the IEEE 1588 specification for a standard 
(non-boundary) clock. PTPd has been tested with and is known to work properly 
with other IEEE 1588 implementations.

%prep
%setup -q

%build
autoreconf -vif
%configure --enable-statistics --with-max-unicast-destinations=512
make %{?_smp_mflags}
#CFLAGS="%{optflags}" make %{?__global_ldflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
mkdir -p %{buildroot}%{_mandir}/man{5,8}
mkdir -p %{buildroot}%{_datadir}/snmp/mibs
mkdir -p %{buildroot}%{_datadir}/ptpd
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}
mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d
mkdir -p %{buildroot}%{_localstatedir}/log

install -pm 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/rc.d/init.d/ptpd2
install -pm 644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/sysconfig
install -pm 644 %{SOURCE3} %{buildroot}/%{_sysconfdir}
install -pm 755 src/ptpd2 %{buildroot}%{_bindir}
install -pm 644 src/ptpd2.8 %{buildroot}%{_mandir}/man8/
install -pm 644 src/ptpd2.conf.5 %{buildroot}%{_mandir}/man5/
install -pm 644 doc/PTPBASE-MIB.txt %{buildroot}%{_datadir}/snmp/mibs
install -pm 644 src/leap-seconds.list.28dec2015 %{buildroot}%{_datadir}/ptpd
# have to create the below, else ptpd will not log drift
touch %{buildroot}%{_localstatedir}/log/ptpd2_kernelclock.drift

%files
%config(noreplace) %{_sysconfdir}/sysconfig/ptpd2
%config(noreplace) %{_sysconfdir}/ptpd2.conf
%{_sysconfdir}/rc.d/init.d/*
%{_bindir}/*
%doc COPYRIGHT ChangeLog README
%{_mandir}/man8/*
%{_mandir}/man5/*
%{_datadir}/snmp/mibs
%{_datadir}/ptpd/*
%config %{_localstatedir}/log/ptpd2_kernelclock.drift

%changelog
* Sun Jul 12 2015 Jon Kent - 2.3.1-1
- New release by upstream

* Tue Jun 17 2014 Jon Kent - 2.3.0-4
- promote to update from testing

* Tue Jun 17 2014 Jon Kent - 2.3.0-3
- fixes to sysconfig file

* Thu Jun 12 2014 Jon Kent - 2.3.0-2
- Fixes to ptpd2 build

* Sun Jun 08 2014 Jon Kent - 2.3.0-1
- Updates to ptpd 2.3.0 

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Jon Kent <jon.kent at, gmail.com> - 2.2.0-7
- various enhancement and corrections as request in bugzilla 1100256

* Fri Aug 09 2013 Jon Kent <jon.kent at, gmail.com> - 2.2.0-6
- Removed version from doc directory creation as per pkg standards for fc20

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat May 18 2013 Jon Kent <jon.kent at, gmail.com> 2.2.0-4
- added noreplace to sysconfig/ptpd2

* Tue May 14 2013 Jon Kent <jon.kent at, gmail.com> 2.2.0-3
- corrected sysconfig and systemd file names

* Fri May 10 2013 Jon Kent <jon.kent at, gmail.com> 2.2.0-2
- correct systemd script and init script to use ptpd2

* Tue Mar 26 2013 Jon Kent <jon.kent at, gmail.com> 2.2.0-1
- added systemd startup
- binary name has changed to ptpd2, spec modified to reflect this

* Fri Mar 22 2013 Jon Kent <jon.kent at, gmail.com> 2.2.0-1
- new upstream version of ptpd

* Wed Dec 01 2010 Jon Kent <jon.kent at, gmail.com> 1.1.0-2
- Cleaned up description
- Moved docs to use %doc tag
- Cleaned up %build section
- Cleaned up the src and init/sysconfig extraction

* Sun Nov 21 2010 Jon Kent <jon.kent at, gmail.com> 1.1.0-1
- First release of ptpd for Fedora

